> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# More hours for your business

> This endpoint allows you to view the **More Hours** set for your business.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /business/{business_id}/more_hours
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /business/{business_id}/more_hours:
    get:
      tags:
        - Businesses
      summary: More hours for your business
      description: >
        This endpoint allows you to view the **More Hours** set for your
        business.
      operationId: getBusinessMoreHours
      parameters:
        - $ref: '#/components/parameters/business_id'
        - $ref: '#/components/parameters/category_more_hours_business'
        - $ref: '#/components/parameters/country_more_hours_business'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MoreHoursBusinessGetResponse'
        '400':
          description: Wrong or missing parameters
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MoreHoursListInvalidCategoryError'
                  - $ref: '#/components/schemas/MoreHoursListInvalidCountryError'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    business_id:
      in: path
      name: business_id
      required: true
      schema:
        type: string
      description: >
        Business id.      


        It may be replaced by `c-{code}` where code is the store code, which
        should be unique per organization. This can be used only for
        `ORG_ADMIN`, `GROUP_MANAGER` and `BUSINESS_MANAGER` users.
    category_more_hours_business:
      in: query
      name: category
      required: false
      schema:
        type: string
        example: gcid:restaurant
      description: >-
        If supplied, will only return more hours that are available for the
        specified business category. If not supplied, the business' main
        category will be used.
    country_more_hours_business:
      in: query
      name: country
      required: false
      schema:
        type: string
      description: >
        If supplied, will only return more hours that are available in the
        specified country. - use ISO 3166 alpha2 code ("FR", "EN", "IT"). If not
        supplied, the country from the business' address will be used.
      example: FR
  schemas:
    MoreHoursBusinessGetResponse:
      properties:
        more_hours:
          type: array
          items:
            type: object
            properties:
              gmb_id:
                description: More Hour ID.
                type: string
                example: BREAKFAST
              value:
                $ref: '#/components/schemas/MoreHoursGet'
          example:
            - gmb_id: KITCHEN
              value:
                monday:
                  - 08:00-15:00
                  - 18:00-23:00
                tuesday:
                  - 08:00-15:00
                  - 18:00-23:00
                wednesday:
                  - 08:00-15:00
                  - 18:00-23:00
                thursday:
                  - 08:00-15:00
                  - 18:00-23:00
                friday:
                  - 08:00-15:00
                  - 18:00-23:00
                saturday:
                  - 08:00-15:00
                  - 18:00-23:00
                sunday:
                  - 08:00-15:00
                  - 18:00-23:00
            - gmb_id: LUNCH
              value:
                monday:
                  - 11:00-15:00
                tuesday:
                  - 11:00-15:00
                wednesday:
                  - 11:00-15:00
                thursday:
                  - 11:00-15:00
                friday:
                  - 11:00-15:00
                saturday: []
                sunday: []
    MoreHoursListInvalidCategoryError:
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: string
              example: Category with id foo does not exist
    MoreHoursListInvalidCountryError:
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                country:
                  type: object
                  properties:
                    explanation:
                      description: country paramter is invalid
                      type: string
                      example: abc is an incorrect value
                    choices:
                      description: available country codes
                      type: array
                      items:
                        type: string
                      example:
                        - AF
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CD
                        - CG
                        - CK
                        - CR
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - CI
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SV
                        - GQ
                        - ER
                        - EE
                        - SZ
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KP
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - MK
                        - RO
                        - RU
                        - RW
                        - RE
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TR
                        - TM
                        - TC
                        - TV
                        - UG
                        - UA
                        - AE
                        - GB
                        - UM
                        - US
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                        - AX
                        - XK
    MoreHoursGet:
      description: >
        The More Hours of the business and category (in its timezone).


        More hours are specified per weekday. Every value in this array is an
        object mapping weekdays (`monday`, `tuesday`, etc.) to a list of
        strings. These strings in turn represent time slots during which the
        business is open.


        For example, the following value sets the hours to 08:00-15:00 in the
        afternoon and 18:00-23:00 in the evening on Mondays:  

        `{"monday": ["08:00-15:00", "18:00-23:00"]}`


        If a business is open 24 hours for a specific weekday, the value
        `["00:00-23:59"]` is used.


        If a business does not have any defined More Hours, `value` will be
        `null`.
      type: object
      properties:
        monday:
          $ref: '#/components/schemas/Day'
        tuesday:
          $ref: '#/components/schemas/Day'
        wednesday:
          $ref: '#/components/schemas/Day'
        thursday:
          $ref: '#/components/schemas/Day'
        friday:
          $ref: '#/components/schemas/Day'
        saturday:
          $ref: '#/components/schemas/Day'
        sunday:
          $ref: '#/components/schemas/Day'
    Day:
      description: >-
        Open in the morning and in the evening `[10:00-14:00, 18:00-00:00]`.
        Closed the whole day `[]`
      type: array
      items:
        $ref: '#/components/schemas/TimeWindow'
      example:
        - 10:00-14:00
    TimeWindow:
      description: Time window
      type: string
      pattern: ^([0-1][0-9]|2[0-3]):([0-5][0-9])-([0-1][0-9]|2[0-3]):([0-5][0-9])$
      example: 10:00-14:00
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````